\documentclass{standalone}
\usepackage{tikz}
\begin{document}
\begin{tikzpicture}
  \def \xmax{2}
  \def \ymax{2}
  \def \n{6}
  \def \mod{2}
  \def \pi{3.141592}

  % grid
  \draw[very thin,color=gray] (-\xmax,-\ymax) grid (\xmax,\ymax);

  % axis
  \draw[->] (-\xmax-0.2,0) -- (\xmax+0.2,0) node[right] {$\Re$};
  \draw[->] (0,-\ymax-0.2) -- (0,\ymax+0.2) node[above] {$\Im$};

  % circle
  \draw[dashed,color=black!50] (0,0) circle [radius=\mod cm];

  % nth roots
  \foreach \k in {1,...,\n}
           {
             \draw (0,0) -- ++(\k*360/\n:\mod);
           }
  
\end{tikzpicture}
\end{document}
